Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029467
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformtrivialalways2015-01-18 17:232015-04-08 18:28
ReporterrjapoovaView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q1.3
StatusclosedFix in branchFixed in SCM revisionde41f5c98d28
ProjectionnoneETAnoneTarget Version3.0PR15Q1.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR14Q4SCM revision 
Review Assigned ToAugustoMauch
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release3.0PR14Q2
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029467: Transaction Type field is incorrectly flagged as red when transactions are entered in grid mode

DescriptionIn the Financial Account window, when entering a transaction manually in grid mode, you need to specify the Transaction Type (BP Deposit, BP Withdrawal, etc.).

When changing this field, the field is flagged as red.

This indicates that there is something wrong with the logic around this field.

The red flag can be safely ignored and users can continue successfully.
Steps To ReproduceLook at this video for the first 30 seconds:
https://drive.google.com/file/d/0B2uCUQlrOPvIMEhPWVF3STdINTA/view?usp=sharing [^]
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0028651 closedalostale Transaction Type field is incorrectly flagged as red when transactions are entered in grid mode 

-  Notes
(0076348)
hgbot (developer)
2015-04-07 08:28

Repository: erp/backports/3.0PR15Q1.3
Changeset: de41f5c98d28288297d1f18ad4adf56527a3dae0
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Mar 31 12:45:26 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/de41f5c98d28288297d1f18ad4adf56527a3dae0 [^]

fixed bug 29467: list reference are validated while typing

  This caused to see the field in red as non valid while typing to filter a value.

  It has been fixed in the same way selector reference does: preventing validation
  on filterComplete. A new OBComboBoxItem class has been implemented in order to
  make both list and selectors (including table and tableDir) extend it preventing
  in this manner code duplicities.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationComponentProvider.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-list.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-combo.js
---
(0076387)
AugustoMauch (developer)
2015-04-08 18:28

Code reviewed and verified in [1]@eda5123f66b0

[1] https://code.openbravo.com/erp/backports/3.0PR15Q1.3/ [^]

- Issue History
Date Modified Username Field Change
2015-03-31 10:18 alostale Type defect => backport
2015-03-31 10:18 alostale Target Version => 3.0PR15Q1.3
2015-03-31 11:13 dmitry_mezentsev Tag Attached: Approved
2015-04-07 08:28 hgbot Checkin
2015-04-07 08:28 hgbot Note Added: 0076348
2015-04-07 08:28 hgbot Status scheduled => resolved
2015-04-07 08:28 hgbot Resolution open => fixed
2015-04-07 08:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/de41f5c98d28288297d1f18ad4adf56527a3dae0 [^]
2015-04-08 18:28 AugustoMauch Note Added: 0076387
2015-04-08 18:28 AugustoMauch Status resolved => closed
2015-04-08 18:28 AugustoMauch Fixed in Version => 3.0PR15Q1.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker